[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseMethod

# Function: UseMethod()

> **UseMethod**(`method`, `name`, `config`?): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:26](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L26)

## Parameters

### method

`ProviderToken`\<`Method`\<`any`, `any`\>\>

### name

`string`

### config?

[`UseMethodConfig`](../interfaces/UseMethodConfig.md)\<`any`, `any`, `any`, `any`\>

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
